import { Plugin, Runner } from '@morjs/utils';
import { applyDefaults, LOADERS as COMPILE_LOADERS } from './config';
import { preprocess } from './preprocessors/codePreprocessor';
export * from '@morjs/plugin-compiler-web/lib/babelDeps';
export * from './compilerPlugins';
export * from './constants';
export { applyDefaults, COMPILE_LOADERS, preprocess };
/**
 * 编译插件
 */
export default class MorCompilerPlugin implements Plugin {
    name: string;
    apply(runner: Runner): void;
}
